NSX-T Data Center REST API

Create or update a SHA monitor profile

Create or update a SHA monitor profile.

Request:

Method:
PUT
URI Path(s):
/policy/api/v1/infra/sha/monitors/{monitor-id}/profiles/{monitor-profile-id}
Request Headers:
n/a
Query Parameters:
ShaMonitorProfileUpdateParameters+
Request Body:
ShaMonitorProfile+

Example Request:

PUT https://<policy-mgr>/policy/api/v1/infra/sha/monitors/esx-obsrv-stats-monitor/profiles/p1 { "is_default": false, "applied_to_group_paths": [ "/infra/domains/default/groups/esxi-node-group" ], "configs": { "check_interval": 301, "resource_type": "ShaEsxObsrvStatsMonitorConfig", "enable": true }, "sub_monitor_configs": [ { "resource_type": "ShaEsxObsrvDatapathTrafficStatsMonitorConfig", "enable": false } ], "_revision": 0 }

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
ShaMonitorProfile+

Required Permissions:

crud

Feature:

policy_ops

Additional Errors: